#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct FragmentOut
{
    float4 gl_FragColor [[color(0)]];
};

fragment FragmentOut fragmentShader(constant float4& color_unif [[buffer(0)]])
{
    FragmentOut out = {};
    out.gl_FragColor = color_unif;
    return out;
}

